View Issue Details

IDProjectCategoryView StatusLast Update
0001801XdebugUncategorizedpublic2020-07-06 16:11
ReporterderickAssigned Toderick 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version3.0.0devFixed in Version3.0.0dev 
Summary0001801: Rename mode 'display' to mode 'develop'
Description'display' is currently a collection of a lot of things, and they are all part of the '/src/base' module. There is no 'src/display' module for mode=display.

- Create a new 'src/develop' module.
- Move all the functionality from 'base' over (stack trace display, var_dump, etc).
- Change associated xdebug.mode name from "display" to "develop".
TagsNo tags attached.
Operating System
PHP Version7.4.0-7.4.4

Relationships

related to 0001800 acknowledged Enable and initialise 'filter' only when mode is trace or coverage 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-06-19 15:09 derick New Issue
2020-06-19 15:24 derick Summary Rename mode 'base' to mode 'develop' => Rename mode 'display' to mode 'develop'
2020-06-19 15:24 derick Description Updated View Revisions
2020-06-19 15:28 derick Relationship added related to 0001800
2020-06-20 15:07 derick Status new => acknowledged
2020-07-06 16:11 derick Assigned To => derick
2020-07-06 16:11 derick Status acknowledged => closed
2020-07-06 16:11 derick Resolution open => fixed
2020-07-06 16:11 derick Fixed in Version => 3.0.0dev